# Diagramme de séquence Shop&Cook

## Interactions entre Utilisateur, Shop&Cook et API

```mermaid
sequenceDiagram
participant Utilisateur
participant Shop&Cook
participant API

Utilisateur->>+Shop&Cook: Ouvre l'application
Shop&Cook->>+Utilisateur: Affiche l'écran de connexion

Utilisateur->>+Shop&Cook: Se connecte / S'inscrit
Shop&Cook->>+API: Valide les informations de connexion / inscription
API-->>-Shop&Cook: Retourne le résultat de la validation
Shop&Cook-->>-Utilisateur: Affiche l'écran d'accueil ou un message d'erreur

Utilisateur->>+Shop&Cook: Recherche des recettes avec filtres
Shop&Cook->>+API: Récupère les recettes filtrées
API-->>-Shop&Cook: Retourne les recettes filtrées
Shop&Cook-->>-Utilisateur: Affiche les recettes filtrées

Utilisateur->>+Shop&Cook: Aime/Ajoute aux favoris une recette
Shop&Cook->>+API: Met à jour le statut de la recette
API-->>-Shop&Cook: Confirme la mise à jour
Shop&Cook-->>-Utilisateur: Met à jour l'affichage de la recette

Utilisateur->>+Shop&Cook: Accède aux paramètres
Shop&Cook-->>-Utilisateur: Affiche les options de paramètres

Utilisateur->>+Shop&Cook: Change le thème/le mot de passe
Shop&Cook->>+API: Enregistre les modifications
API-->>-Shop&Cook: Confirme l'enregistrement
Shop&Cook-->>-Utilisateur: Met à jour l'affichage et confirme les modifications

Utilisateur->>+Shop&Cook: Clique sur une recette
Shop&Cook->>+API: Récupère les détails de la recette
API-->>-Shop&Cook: Retourne les détails de la recette
Shop&Cook-->>-Utilisateur: Affiche les détails de la recette

Utilisateur->>+Shop&Cook: Choisit le nombre de personnes et ajoute au panier
Shop&Cook-->>-Utilisateur: Met à jour le panier

Utilisateur->>+Shop&Cook: Planifie un repas pour un jour de la semaine
Shop&Cook-->>-Utilisateur: Met à jour le planning

Utilisateur->>+Shop&Cook: Génère la liste de courses
Shop&Cook->>+API: Récupère les ingrédients nécessaires
API-->>-Shop&Cook: Retourne la liste des ingrédients
Shop&Cook-->>-Utilisateur: Affiche la liste de courses

```
